> ## Documentation Index
> Fetch the complete documentation index at: https://sitespeak.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Updated Answer

> Creates or updates an existing updated answer for the chatbot

## Path Parameters

| Name          | Type   | Description                                                                        |
| ------------- | ------ | ---------------------------------------------------------------------------------- |
| chatbot\_id\* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |

## Headers

| Name            | Type   | Description        |
| --------------- | ------ | ------------------ |
| Accept\*        | String | application/json   |
| Authorization\* | String | Bearer {api_token} |

## Body

| Name                | Type   | Description                                             |
| ------------------- | ------ | ------------------------------------------------------- |
| question\*          | String | Question that you would like to add an answer for.      |
| suggested\_answer\* | String | The answer you would like your chatbot to respond with. |

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.sitespeak.ai/v1/{chatbot_id}/finetunes \
    -H "Accept: application/json" \
    -H "Authorization: Bearer YOUR_API_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
      "question": "What is SiteSpeakAI?",
      "suggested_answer": "SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs."
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/finetunes', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Authorization': 'Bearer YOUR_API_TOKEN',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      question: 'What is SiteSpeakAI?',
      suggested_answer: 'SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs.'
    })
  });

  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

## Response

<Tabs>
  <Tab title="200 Success">
    ```json theme={null}
    {
      "message": "Finetune created successfully",
      "finetune": {
        "question": "What is SiteSpeakAI?",
        "suggested_answer": "SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs.",
        "vector_id": "d18696f2-0142-4404-a362-96d542e3cb43",
        "chatbot_id": "49d0204c-32f1-43c3-a1aa-6942f5737f43",
        "id": "0d616a06-1dd4-4523-a741-20051c854938",
        "updated_at": "2024-06-26T13:09:22.000000Z",
        "created_at": "2024-06-26T13:09:22.000000Z"
      }
    }
    ```
  </Tab>

  <Tab title="401 Permission denied">
    Returns when the API token is invalid or missing.
  </Tab>
</Tabs>
